<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Movies of Julie Andrews</title>
    <style type="text/css">
        body { font-family:verdana; }
        table { border:1px solid black; border-collapse:collapse; }
        td, th { border:1px solid black; }
        .altRow, th { background:#DDFFDD; }
    </style>
</head>
<body>
    <form id="form2" runat="server">
    <h2>Movies of Julie Andrews</h2>
    <div>
        <asp:Repeater ID="moviesRepeater" runat="server">
            <HeaderTemplate>
                <table>
                <tr>
                    <th>Movie</th>
                    <th>Year</th>
                    <th>Julie's Role</th>
                </tr>
            </HeaderTemplate>
            <ItemTemplate>
                <tr>
                    <td><a href="MovieDetails.aspx?Movie=<%# DataBinder.Eval(Container.DataItem, "mid") %>"><%# DataBinder.Eval(Container.DataItem, "name") %></a></td>
                    <td><%# DataBinder.Eval(Container.DataItem, "year") %></td>
                    <td><%# DataBinder.Eval(Container.DataItem, "role").ToString().Trim(new char[] { '[', ']' })%></td>
                </tr>
            </ItemTemplate>
            <AlternatingItemTemplate>
                <tr class="altRow">
                    <td><a href="MovieDetails.aspx?Movie=<%# DataBinder.Eval(Container.DataItem, "mid") %>"><%# DataBinder.Eval(Container.DataItem, "name") %></a></td>
                    <td><%# DataBinder.Eval(Container.DataItem, "year") %></td>
                    <td><%# DataBinder.Eval(Container.DataItem, "role").ToString().Trim(new char[] {'[',']'}) %></td>
                </tr>
            </AlternatingItemTemplate>
            <FooterTemplate>
                </table>
            </FooterTemplate>
        </asp:Repeater>
    </div>
    </form>
</body>
</html>
